diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_delete.py
index 7459e6be1..697e14030 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_delete.py
@@ -49,7 +49,7 @@ class FunctionDeleteTestCase(BaseTestGenerator):
             without_functions_id=False,
             test_data={},
             mock_data={
-                "function_name": "pgadmin.utils.driver.psycopg2."
+                "function_name": "pgadmin.utils.driver.psycopg3."
                                  "connection.Connection.execute_2darray",
                 "return_value": "(False, 'Mocked Internal Server "
                                 "Error while delete function.')"
@@ -65,7 +65,7 @@ class FunctionDeleteTestCase(BaseTestGenerator):
             mock_empty_result=True,
             test_data={},
             mock_data={
-                "function_name": "pgadmin.utils.driver.psycopg2."
+                "function_name": "pgadmin.utils.driver.psycopg3."
                                  "connection.Connection.execute_2darray",
                 "return_value": "(True, {'rows': []})"
             },
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get.py
index d3f1d4a7f..d85f12b61 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get.py
@@ -40,7 +40,7 @@ class FunctionGetTestCase(BaseTestGenerator):
                 is_positive_test=False,
                 mocking_required=True,
                 mock_data={
-                    "function_name": "pgadmin.utils.driver.psycopg2."
+                    "function_name": "pgadmin.utils.driver.psycopg3."
                                      "connection.Connection.execute_dict",
                     "return_value": "(False, 'Mocked Internal Server "
                                     "Error while get properties.')"
@@ -57,7 +57,7 @@ class FunctionGetTestCase(BaseTestGenerator):
                 is_positive_test=False,
                 mocking_required=True,
                 mock_data={
-                    "function_name": "pgadmin.utils.driver.psycopg2."
+                    "function_name": "pgadmin.utils.driver.psycopg3."
                                      "connection.Connection.execute_dict",
                     "return_value": "(False, {'rows': []})"
                 },
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get_languages.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get_languages.py
index 4a6b50e6a..408b5d42b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get_languages.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get_languages.py
@@ -41,7 +41,7 @@ class FunctionGetLanguagesTestCase(BaseTestGenerator):
                 is_positive_test=False,
                 mocking_required=True,
                 mock_data={
-                    "function_name": 'pgadmin.utils.driver.psycopg2.'
+                    "function_name": 'pgadmin.utils.driver.psycopg3.'
                                      'connection.Connection.execute_dict',
                     "return_value": "(False, 'Mocked Internal Server Error "
                                     "while get languages for functions.')"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get_msql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get_msql.py
index 2768b020f..95c1c7da6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get_msql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get_msql.py
@@ -130,7 +130,7 @@ class FunctionGetmsqlTestCase(BaseTestGenerator):
                     "acl": []
                 },
                 mock_data={
-                    "function_name": "pgadmin.utils.driver.psycopg2."
+                    "function_name": "pgadmin.utils.driver.psycopg3."
                                      "connection.Connection.execute_dict",
                     "return_value": "(False, 'Mocked Internal Server "
                                     "Error while get msq fetch properties.')"
@@ -162,7 +162,7 @@ class FunctionGetmsqlTestCase(BaseTestGenerator):
                     "acl": []
                 },
                 mock_data={
-                    "function_name": "pgadmin.utils.driver.psycopg2."
+                    "function_name": "pgadmin.utils.driver.psycopg3."
                                      "connection.Connection.execute_dict",
                     "return_value": "(True, {'rows': []})"
                 },
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get_nodes.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get_nodes.py
index bb5f301f0..9da8288c8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get_nodes.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get_nodes.py
@@ -39,7 +39,7 @@ class FunctionGetNodesTestCase(BaseTestGenerator):
                 is_positive_test=False,
                 mocking_required=True,
                 mock_data={
-                    "function_name": "pgadmin.utils.driver.psycopg2."
+                    "function_name": "pgadmin.utils.driver.psycopg3."
                                      "connection.Connection.execute_2darray",
                     "return_value": "(False, 'Mocked Internal Server "
                                     "Error while get function nodes.')"
@@ -70,7 +70,7 @@ class FunctionGetNodesTestCase(BaseTestGenerator):
                 mocking_required=True,
                 with_function_id=True,
                 mock_data={
-                    "function_name": "pgadmin.utils.driver.psycopg2."
+                    "function_name": "pgadmin.utils.driver.psycopg3."
                                      "connection.Connection.execute_2darray",
                     "return_value": "(True, {'rows':[]})"
                 },
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get_sql.py
index 6301bf9c9..f5df4f6fd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get_sql.py
@@ -41,7 +41,7 @@ class FunctionSqlTestCase(BaseTestGenerator):
                 is_positive_test=False,
                 mocking_required=True,
                 mock_data={
-                    "function_name": 'pgadmin.utils.driver.psycopg2.'
+                    "function_name": 'pgadmin.utils.driver.psycopg3.'
                                      'connection.Connection.execute_2darray',
                     "return_value": "(False, 'Mocked Internal Server Error "
                                     "while SQL for functions.')"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get_variable_options.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get_variable_options.py
index 1713aeca1..b49739a44 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get_variable_options.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_get_variable_options.py
@@ -41,7 +41,7 @@ class FunctionGetLanguagesTestCase(BaseTestGenerator):
                 is_positive_test=False,
                 mocking_required=True,
                 mock_data={
-                    "function_name": 'pgadmin.utils.driver.psycopg2.'
+                    "function_name": 'pgadmin.utils.driver.psycopg3.'
                                      'connection.Connection.execute_dict',
                     "return_value": "(False, 'Mocked Internal Server Error "
                                     "while get languages for functions.')"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_put.py
index 582e7c82f..a98216ecc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_function_put.py
@@ -39,7 +39,7 @@ class FunctionPutTestCase(BaseTestGenerator):
             mocking_required=True,
             is_mock_function=False,
             mock_data={
-                "function_name": "pgadmin.utils.driver.psycopg2."
+                "function_name": "pgadmin.utils.driver.psycopg3."
                                  "connection.Connection.execute_scalar",
                 "return_value": "(False, 'Mocked Internal Server "
                                 "Error while create new function get sql.')"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_dependencies.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_dependencies.py
index 441141d5e..1531f9046 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_dependencies.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_dependencies.py
@@ -41,7 +41,7 @@ class FunctionGetDependenciesTestCase(BaseTestGenerator):
                 is_positive_test=False,
                 mocking_required=True,
                 mock_data={
-                    "function_name": 'pgadmin.utils.driver.psycopg2.'
+                    "function_name": 'pgadmin.utils.driver.psycopg3.'
                                      'connection.Connection.execute_dict',
                     "return_value": "(False, {'rows': []})"
                 },
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_dependents.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_dependents.py
index 8943e006c..2296591b9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_dependents.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_dependents.py
@@ -41,7 +41,7 @@ class FunctionGetDependentsTestCase(BaseTestGenerator):
                 is_positive_test=False,
                 mocking_required=True,
                 mock_data={
-                    "function_name": 'pgadmin.utils.driver.psycopg2.'
+                    "function_name": 'pgadmin.utils.driver.psycopg3.'
                                      'connection.Connection.execute_dict',
                     "return_value": "(False, {'rows': []})"
                 },
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_function_statistics.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_function_statistics.py
index 5363483d0..43c3c86ed 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_function_statistics.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_function_statistics.py
@@ -41,7 +41,7 @@ class FunctionGetFunctionStatisticsTestCase(BaseTestGenerator):
                 is_positive_test=False,
                 mocking_required=True,
                 mock_data={
-                    "function_name": 'pgadmin.utils.driver.psycopg2.'
+                    "function_name": 'pgadmin.utils.driver.psycopg3.'
                                      'connection.Connection.execute_dict',
                     "return_value": "(False, 'Mocked Internal Server Error "
                                     "while get function statistics.')"
@@ -72,7 +72,7 @@ class FunctionGetFunctionStatisticsTestCase(BaseTestGenerator):
                 mocking_required=True,
                 without_function_id=True,
                 mock_data={
-                    "function_name": 'pgadmin.utils.driver.psycopg2.'
+                    "function_name": 'pgadmin.utils.driver.psycopg3.'
                                      'connection.Connection.execute_scalar',
                     "return_value": "(False, 'Mocked Internal Server Error "
                                     "while get function statistics.')"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_list.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_list.py
index aa3806362..a7216fb21 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_list.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_list.py
@@ -41,7 +41,7 @@ class FunctionGetListTestCase(BaseTestGenerator):
                 is_positive_test=False,
                 mocking_required=True,
                 mock_data={
-                    "function_name": 'pgadmin.utils.driver.psycopg2.'
+                    "function_name": 'pgadmin.utils.driver.psycopg3.'
                                      'connection.Connection.execute_dict',
                     "return_value": "(False, 'Mocked Internal Server "
                                     "Error while get function list.')"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_select_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_select_sql.py
index efad1423d..f76d6a06c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_select_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_select_sql.py
@@ -43,7 +43,7 @@ class FunctionGetSelectSqlTestCase(BaseTestGenerator):
                 mocking_required=True,
                 is_add_argument=False,
                 mock_data={
-                    "function_name": 'pgadmin.utils.driver.psycopg2.'
+                    "function_name": 'pgadmin.utils.driver.psycopg3.'
                                      'connection.Connection.execute_2darray',
                     "return_value": "(False, 'Mocked Internal Server Error "
                                     "while get select sql.')"
@@ -61,7 +61,7 @@ class FunctionGetSelectSqlTestCase(BaseTestGenerator):
                 mocking_required=True,
                 is_add_argument=False,
                 mock_data={
-                    "function_name": 'pgadmin.utils.driver.psycopg2.'
+                    "function_name": 'pgadmin.utils.driver.psycopg3.'
                                      'connection.Connection.execute_2darray',
                     "return_value": "(True, {'rows': []})"
                 },
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_supported_functions.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_supported_functions.py
index 96f60cdeb..cd796f15e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_supported_functions.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/test_get_supported_functions.py
@@ -41,7 +41,7 @@ class FunctionGetSupportedFunctionsTestCase(BaseTestGenerator):
                 is_positive_test=False,
                 mocking_required=True,
                 mock_data={
-                    "function_name": 'pgadmin.utils.driver.psycopg2.'
+                    "function_name": 'pgadmin.utils.driver.psycopg3.'
                                      'connection.Connection.execute_2darray',
                     "return_value": "(False, 'Mocked Internal Server Error "
                                     "while get supported function')"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/__init__.py
index 5d99a9bdc..a8e26c859 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/__init__.py
@@ -411,7 +411,7 @@ class PackageView(PGChildNodeView, SchemaDiffObjectCompare):
             "/".join([
                 self.template_path, self._OID_SQL
             ]),
-            name=data['name'], scid=scid
+            name=data['name'], scid=scid, conn=self.conn
         )
 
         sql = sql.strip('\n').strip(' ')
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/__init__.py
index 0b5b4c024..f47130c5d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/__init__.py
@@ -248,7 +248,8 @@ class EdbFuncView(PGChildNodeView, DataTypeReader):
 
         SQL = render_template("/".join([self.sql_template_path,
                                         self._NODE_SQL]),
-                              pkgid=pkgid)
+                              pkgid=pkgid,
+                              conn=self.conn)
         status, res = self.conn.execute_dict(SQL)
 
         if not status:
@@ -274,7 +275,8 @@ class EdbFuncView(PGChildNodeView, DataTypeReader):
         SQL = render_template(
             "/".join([self.sql_template_path, self._NODE_SQL]),
             pkgid=pkgid,
-            fnid=edbfnid
+            fnid=edbfnid,
+            conn=self.conn
         )
         status, rset = self.conn.execute_2darray(SQL)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbvars/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbvars/__init__.py
index b58cab886..16604349e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbvars/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbvars/__init__.py
@@ -211,7 +211,8 @@ class EdbVarView(PGChildNodeView, DataTypeReader):
 
         SQL = render_template("/".join([self.sql_template_path,
                                         self._NODE_SQL]),
-                              pkgid=pkgid)
+                              pkgid=pkgid,
+                              conn=self.conn)
         status, res = self.conn.execute_dict(SQL)
 
         if not status:
@@ -237,7 +238,7 @@ class EdbVarView(PGChildNodeView, DataTypeReader):
         res = []
         SQL = render_template(
             "/".join([self.sql_template_path, self._NODE_SQL]),
-            pkgid=pkgid
+            pkgid=pkgid, conn=self.conn
         )
         status, rset = self.conn.execute_2darray(SQL)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py
index 22a2b9605..aee05c7ff 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py
@@ -213,7 +213,8 @@ class SequenceView(PGChildNodeView, SchemaDiffObjectCompare):
             "/".join([self.template_path, self._NODES_SQL]),
             scid=scid,
             seid=seid,
-            show_internal=show_internal
+            show_internal=show_internal,
+            conn=self.conn
         )
         status, rset = self.conn.execute_dict(SQL)
         if not status:
@@ -433,7 +434,8 @@ class SequenceView(PGChildNodeView, SchemaDiffObjectCompare):
         sql = render_template(
             "/".join([self.template_path, self._OID_SQL]),
             name=data['name'],
-            schema=data['schema']
+            schema=data['schema'],
+            conn=self.conn
         )
         sql = sql.strip('\n').strip(' ')
 
@@ -548,7 +550,8 @@ class SequenceView(PGChildNodeView, SchemaDiffObjectCompare):
 
         sql = render_template(
             "/".join([self.template_path, self._NODES_SQL]),
-            seid=seid
+            seid=seid,
+            conn=self.conn
         )
         status, rset = self.conn.execute_2darray(sql)
         if not status:
@@ -899,7 +902,8 @@ class SequenceView(PGChildNodeView, SchemaDiffObjectCompare):
                     'schemas/pg/#{0}#/sql/get_name.sql'.format(
                         self.manager.version
                     ),
-                    scid=scid
+                    scid=scid,
+                    conn=self.conn
                 )
             )
             if not status:
@@ -935,7 +939,8 @@ class SequenceView(PGChildNodeView, SchemaDiffObjectCompare):
         res = dict()
         sql = render_template("/".join([self.template_path,
                                         self._NODES_SQL]), scid=scid,
-                              schema_diff=True)
+                              schema_diff=True,
+                              conn=self.conn)
         status, rset = self.conn.execute_2darray(sql)
         if not status:
             return internal_server_error(errormsg=res)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_props_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_props_msql.sql
index 62c9b8b84..0893a1f28 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_props_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/pg/default/alter_seq_props_msql.sql
@@ -1,4 +1,4 @@
-SELECT setval('public."Seq1_$%{}[]()&*^!@""''`\/#"', 7, true);
+SELECT setval( E'public."Seq1_$%{}[]()&*^!@""''`\\/#"', 7, true);
 
 ALTER SEQUENCE IF EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#"
     INCREMENT 12
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/ppas/default/alter_seq_props_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/ppas/default/alter_seq_props_msql.sql
index 62c9b8b84..f3c0289cc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/ppas/default/alter_seq_props_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/ppas/default/alter_seq_props_msql.sql
@@ -1,4 +1,4 @@
-SELECT setval('public."Seq1_$%{}[]()&*^!@""''`\/#"', 7, true);
+SELECT setval(E'public."Seq1_$%{}[]()&*^!@""""''`\\/#"', 7, true);
 
 ALTER SEQUENCE IF EXISTS public."Seq1_$%{}[]()&*^!@""'`\/#"
     INCREMENT 12
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
index e24bce49b..a563cf64d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
@@ -698,7 +698,7 @@ class TableView(BaseTableView, DataTypeReader, SchemaDiffTableCompare):
                         self.table_template_path,
                         self._GET_COLUMNS_FOR_TABLE_SQL
                     ]),
-                    tid=data['tid']
+                    tid=data['tid'], conn=self.conn
                 )
             elif data and 'tname' in data:
                 SQL = render_template(
@@ -706,7 +706,7 @@ class TableView(BaseTableView, DataTypeReader, SchemaDiffTableCompare):
                         self.table_template_path,
                         self._GET_COLUMNS_FOR_TABLE_SQL
                     ]),
-                    tname=data['tname']
+                    tname=data['tname'], conn=self.conn
                 )
 
             if SQL:
@@ -747,7 +747,7 @@ class TableView(BaseTableView, DataTypeReader, SchemaDiffTableCompare):
                     "/".join(
                         [self.table_template_path,
                          self._GET_COLUMNS_FOR_TABLE_SQL]
-                    ), tid=row['oid']
+                    ), tid=row['oid'], conn=self.conn
                 )
 
                 status, type_cols = self.conn.execute_dict(SQL)
@@ -924,17 +924,6 @@ class TableView(BaseTableView, DataTypeReader, SchemaDiffTableCompare):
             request.data, encoding='utf-8'
         )
 
-        for k, v in data.items():
-            try:
-                # comments should be taken as is because if user enters a
-                # json comment it is parsed by loads which should not happen
-                if k in ('description',):
-                    data[k] = v
-                else:
-                    data[k] = json.loads(v, encoding='utf-8')
-            except (ValueError, TypeError, KeyError):
-                data[k] = v
-
         required_args = [
             'name'
         ]
@@ -983,7 +972,8 @@ class TableView(BaseTableView, DataTypeReader, SchemaDiffTableCompare):
             # Get updated schema oid
             sql = render_template(
                 "/".join([self.table_template_path, self._GET_SCHEMA_OID_SQL]),
-                tname=data['name']
+                tname=data['name'],
+                conn=self.conn
             )
 
             status, new_scid = self.conn.execute_scalar(sql)
@@ -993,7 +983,7 @@ class TableView(BaseTableView, DataTypeReader, SchemaDiffTableCompare):
             # we need oid to add object in tree at browser
             sql = render_template(
                 "/".join([self.table_template_path, self._OID_SQL]),
-                scid=new_scid, data=data
+                scid=new_scid, data=data, conn=self.conn
             )
 
             status, tid = self.conn.execute_scalar(sql)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/__init__.py
index d525a06b5..cf1e66fde 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/__init__.py
@@ -273,7 +273,8 @@ class ColumnsView(PGChildNodeView, DataTypeReader):
             "/".join([self.template_path, self._NODES_SQL]),
             tid=tid,
             clid=clid,
-            show_sys_objects=self.blueprint.show_system_objects
+            show_sys_objects=self.blueprint.show_system_objects,
+            conn=self.conn
         )
         status, rset = self.conn.execute_2darray(SQL)
         if not status:
@@ -416,7 +417,7 @@ class ColumnsView(PGChildNodeView, DataTypeReader):
         # we need oid to add object in tree at browser
         SQL = render_template(
             "/".join([self.template_path, 'get_position.sql']),
-            tid=tid, data=data
+            tid=tid, data=data, conn=self.conn
         )
         status, clid = self.conn.execute_scalar(SQL)
         if not status:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/utils.py
index 896822150..59ce4f70f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/tests/utils.py
@@ -103,12 +103,12 @@ def create_column(server, db_name, schema_name, table_name, col_name,
                                              server['port'],
                                              server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         query = "ALTER TABLE %s.%s ADD COLUMN %s %s" % \
                 (schema_name, table_name, col_name, col_data_type)
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get column position of newly added column
         pg_cursor.execute("select attnum from pg_attribute where"
@@ -151,13 +151,13 @@ def create_identity_column(server, db_name, schema_name, table_name,
                                              server['port'],
                                              server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         query = "ALTER TABLE %s.%s ADD COLUMN %s %s " \
                 "GENERATED ALWAYS AS IDENTITY" % \
                 (schema_name, table_name, col_name, col_data_type)
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get column position of newly added column
         pg_cursor.execute("select attnum from pg_attribute where"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_put.py
index b1171593f..6a7b3b041 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/tests/test_compound_triggers_put.py
@@ -122,7 +122,7 @@ class CompoundTriggersUpdateTestCase(BaseTestGenerator):
 
             with patch(self.mock_data["function_name"],
                        side_effect=self.mock_data["return_value"]), patch(
-                'pgadmin.utils.driver.psycopg2.connection.Connection.'
+                'pgadmin.utils.driver.psycopg3.connection.Connection.'
                 'execute_scalar',
                 side_effect=[(True, True),
                              (True, "Mocked response")]):
